Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1358812 - [abrt] abiword: _IO_str_chk_overflow(): abiword killed by SIGABRT
Summary: [abrt] abiword: _IO_str_chk_overflow(): abiword killed by SIGABRT
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: abiword
Version: 25
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Marc Maurer
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:2d32981c5382ce60f022a46e7cf...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-21 14:11 UTC by Айфф
Modified: 2017-07-26 20:43 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-07-26 20:43:50 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2016-07-21 14:12 UTC, Айфф
no flags Details
File: cgroup (deleted)
2016-07-21 14:12 UTC, Айфф
no flags Details
File: core_backtrace (deleted)
2016-07-21 14:12 UTC, Айфф
no flags Details
File: dso_list (deleted)
2016-07-21 14:12 UTC, Айфф
no flags Details
File: environ (deleted)
2016-07-21 14:12 UTC, Айфф
no flags Details
File: limits (deleted)
2016-07-21 14:12 UTC, Айфф
no flags Details
File: maps (deleted)
2016-07-21 14:12 UTC, Айфф
no flags Details
File: mountinfo (deleted)
2016-07-21 14:12 UTC, Айфф
no flags Details
File: namespaces (deleted)
2016-07-21 14:12 UTC, Айфф
no flags Details
File: open_fds (deleted)
2016-07-21 14:12 UTC, Айфф
no flags Details
File: proc_pid_status (deleted)
2016-07-21 14:12 UTC, Айфф
no flags Details
File: var_log_messages (deleted)
2016-07-21 14:12 UTC, Айфф
no flags Details

Description Айфф 2016-07-21 14:11:54 UTC
Version-Release number of selected component:
abiword-3.0.1-10.fc24

Additional info:
reporter:       libreport-2.7.1
backtrace_rating: 4
cmdline:        abiword /tmp/mozilla_user0/Recom_on_bridge_barrier.doc
crash_function: _IO_str_chk_overflow
executable:     /usr/bin/abiword
global_pid:     5549
kernel:         4.6.4-301.fc24.x86_64
pkg_fingerprint: 73BD E983 81B4 6521
pkg_vendor:     Fedora Project
reproducible:   Not sure how to reproduce the problem
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #5 _IO_str_chk_overflow at vsprintf_chk.c:31
 #8 ___vsprintf_chk at vsprintf_chk.c:83
 #9 XAP_Frame::createMessageBox(unsigned int, XAP_Dialog_MessageBox::tButtons, XAP_Dialog_MessageBox::tAnswer, ...) at /usr/include/bits/stdio2.h:47
 #11 s_closeWindow(AV_View*, EV_EditMethodCallData*, bool) at ap_EditMethods.cpp:1941
 #13 XAP_UnixFrameImpl::_fe::delete_event(_GtkWidget*, _GdkEvent*, void*) at xap_UnixFrameImpl.cpp:1196
 #14 _gtk_marshal_BOOLEAN__BOXEDv at gtkmarshalers.c:131
 #15 _g_closure_invoke_va at gclosure.c:867
 #18 gtk_widget_event_internal at gtkwidget.c:7705
 #19 gtk_main_do_event at gtkmain.c:1760
 #20 _gdk_event_emit at gdkevents.c:73

Comment 1 Айфф 2016-07-21 14:12:01 UTC
Created attachment 1182526 [details]
File: backtrace

Comment 2 Айфф 2016-07-21 14:12:02 UTC
Created attachment 1182527 [details]
File: cgroup

Comment 3 Айфф 2016-07-21 14:12:04 UTC
Created attachment 1182528 [details]
File: core_backtrace

Comment 4 Айфф 2016-07-21 14:12:06 UTC
Created attachment 1182529 [details]
File: dso_list

Comment 5 Айфф 2016-07-21 14:12:08 UTC
Created attachment 1182530 [details]
File: environ

Comment 6 Айфф 2016-07-21 14:12:10 UTC
Created attachment 1182531 [details]
File: limits

Comment 7 Айфф 2016-07-21 14:12:13 UTC
Created attachment 1182532 [details]
File: maps

Comment 8 Айфф 2016-07-21 14:12:14 UTC
Created attachment 1182533 [details]
File: mountinfo

Comment 9 Айфф 2016-07-21 14:12:16 UTC
Created attachment 1182534 [details]
File: namespaces

Comment 10 Айфф 2016-07-21 14:12:18 UTC
Created attachment 1182535 [details]
File: open_fds

Comment 11 Айфф 2016-07-21 14:12:19 UTC
Created attachment 1182536 [details]
File: proc_pid_status

Comment 12 Айфф 2016-07-21 14:12:21 UTC
Created attachment 1182537 [details]
File: var_log_messages

Comment 13 Hubert Figuiere 2016-09-21 03:28:30 UTC
but can we get the .doc file you were opening?

Comment 14 Fedora End Of Life 2017-07-25 21:57:35 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 15 R P Herrold 2017-07-26 16:35:09 UTC
jamesbdonovan@rambler.ru

this was down in GTK space, but in a temporary directory, after a seeming download via a browser -- is the 'doc' file which was being edited available, and not 'sensitive'?

That would perhaps permit reproduction of the segfault

Note that the product has 'moved' since the report, and so has the underlying environment --- it may make sense to see if it still persists before the automatic close which would happen shortly

Comment 16 Айфф 2017-07-26 17:58:08 UTC
www.sibds.ru/wp-content/uploads/2010/04/Recom_on_bridge_barrier.doc

Comment 17 R P Herrold 2017-07-26 19:43:01 UTC
The document opens, and edits, and prints without unusual behaviour with my local:
abiword-3.0.1-4

What version are you on, and does the problem recur?  If earlier, can you updated to the current Abiword?

Comment 18 Айфф 2017-07-26 20:40:28 UTC
Unfortunately, I no longer use AbiWord.

Comment 19 R P Herrold 2017-07-26 20:43:50 UTC
noted -- as you can no longer reproduce it, and I cannot reproduce the fault with the curent version, I am closing this bug

thank you for the prompt replies


Note You need to log in before you can comment on or make changes to this bug.